Name:          catch2
Version:       3.5.4
Release:       1mamba
Summary:       A modern, C++-native test framework for unit-tests, TDD and BDD
Group:         Development/Libraries
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://github.com/catchorg/Catch2
Source:        https://github.com/catchorg/Catch2.git/v%{version}/Catch2-%{version}.tar.bz2
License:       Boost Software License
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libgcc
BuildRequires: libstdc++6-devel
## AUTOBUILDREQ-END
BuildRequires: cmake

%description
A modern, C++-native test framework for unit-tests, TDD and BDD - using C++11, C++14, C++17 and later (or C++03 on the Catch1.x branch).

%package -n lib%{name}
Group:         Development/Libraries
Summary:       Development files for %{name}
Requires:      pkg-config
Provides:      catch2
Obsoletes:     catch2 < 3.1.1

%description -n lib%{name}
A modern, C++-native test framework for unit-tests, TDD and BDD - using C++11, C++14, C++17 and later (or C++03 on the Catch1.x branch).

%package -n lib%{name}-devel
Group:         Development/Libraries
Summary:       Development files for %{name}
Requires:      lib%{name} = %{?epoch:%epoch:}%{version}-%{release}
Requires:      pkg-config

%description -n lib%{name}-devel
This package contains libraries and header files for developing applications that use %{name}.

%debug_package

%prep
%setup -q -n Catch2-%{version}

%build
%cmake -d build
%make

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall -C build

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%files -n lib%{name}
%defattr(-,root,root)
%{_libdir}/libCatch2.so.*
%{_libdir}/libCatch2Main.so.*
%doc LICENSE.txt

%files -n lib%{name}-devel
%defattr(-,root,root)
%dir %{_includedir}/catch2/
%{_includedir}/catch2/*
%{_libdir}/libCatch2.so
%{_libdir}/libCatch2Main.so
%dir %{_libdir}/cmake/Catch2
%{_libdir}/cmake/Catch2/*.cmake
%{_datadir}/Catch2/gdbinit
%{_datadir}/Catch2/lldbinit
%dir %{_datadir}/doc/Catch2
%{_datadir}/pkgconfig/catch2*.pc
%{_docdir}/Catch2/*.md
%doc README.md

%changelog
* Wed Apr 10 2024 Automatic Build System <autodist@openmamba.org> 3.5.4-1mamba
- automatic version update by autodist

* Sat Mar 02 2024 Automatic Build System <autodist@openmamba.org> 3.5.3-1mamba
- automatic version update by autodist

* Mon Jan 15 2024 Automatic Build System <autodist@openmamba.org> 3.5.2-1mamba
- automatic version update by autodist

* Sun Dec 31 2023 Automatic Build System <autodist@mambasoft.it> 3.5.1-1mamba
- automatic version update by autodist

* Mon Dec 11 2023 Automatic Build System <autodist@mambasoft.it> 3.5.0-1mamba
- automatic version update by autodist

* Thu Jul 13 2023 Automatic Build System <autodist@mambasoft.it> 3.4.0-1mamba
- automatic version update by autodist

* Mon Feb 27 2023 Automatic Build System <autodist@mambasoft.it> 3.3.2-1mamba
- automatic version update by autodist

* Mon Jan 30 2023 Automatic Build System <autodist@mambasoft.it> 3.3.1-1mamba
- automatic version update by autodist

* Mon Jan 23 2023 Automatic Build System <autodist@mambasoft.it> 3.3.0-1mamba
- automatic version update by autodist

* Sat Dec 10 2022 Automatic Build System <autodist@mambasoft.it> 3.2.1-1mamba
- automatic version update by autodist

* Thu Nov 17 2022 Automatic Build System <autodist@mambasoft.it> 3.2.0-1mamba
- automatic version update by autodist

* Thu Oct 27 2022 Automatic Build System <autodist@mambasoft.it> 3.1.1-1mamba
- automatic version update by autodist

* Tue Jul 19 2022 Automatic Build System <autodist@mambasoft.it> 3.1.0-1mamba
- automatic version update by autodist

* Fri May 20 2022 Automatic Build System <autodist@mambasoft.it> 3.0.1-1mamba
- automatic version update by autodist

* Wed Apr 13 2022 Automatic Build System <autodist@mambasoft.it> 2.13.9-1mamba
- automatic version update by autodist

* Tue Jan 04 2022 Automatic Build System <autodist@mambasoft.it> 2.13.8-1mamba
- automatic version update by autodist

* Sat Oct 23 2021 Silvan Calarco <silvan.calarco@mambasoft.it> 2.13.7-1mamba
- package created using the webbuild interface
